Для чего могут понадобиться две и более версий Jquery на одной странице?

Неоднократно обнаруживал подобную историю и способы их согласования в виде, например, noConflict. Особенно в wordpress. А для чего это может быть нужно? Как вариант, для обеспечения работы каких-нибудь старых плагинов? Или для чего-нибудь еще?
  • Вопрос задан
  • 125 просмотров
Пригласить эксперта
Ответы на вопрос 3
sim3x
@sim3x
Для говнокода, конечно же
Ответ написан
fruity4pie
@fruity4pie
A
для поддержки существующего функционала и нового.

ситуации бывают разные. к примеру, у Вас есть работающий сервис, который был реализован в 13-14 году и Вы к текущей версии хотите добавить что-то новое и не писать, при этом, всё с нуля. Вот тогда и подключают несколько версий.
Ответ написан
@Alexey10
У меня лично год назад был слайдер, который работал на jquery 1.8 , но перед тем у меня подключено уже куча библиотек которые поддерживают jquery 1.13. Так мне пришлось ставить две версии. Но это хреново так делать.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
Artezio Нижний Новгород
от 130 000 до 180 000 ₽
Artezio Москва
от 160 000 до 220 000 ₽
Intspirit Краснодар
от 80 000 до 150 000 ₽